device-tree-compiler (1.7.2-2) unstable; urgency=medium

  * debian/rules: Only use valgrind in tests when valgrind is present.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 23 Dec 2024 23:22:34 -0800

device-tree-compiler (1.7.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1091118)
  * debian/upstream: Update signing key.
  * debian/copyright: Update for 1.7.2.
  * debian/control: Switch to pkgconf.
  * debian/patches: Add upstream patch fixing build with various SWIG
    versions. Thanks to Florian Ernst.
  * debian/patches: Drop patch for Python 3.12, no longer needed.  Thanks
    to Florian Ernst.
  * debian/libfdt1.install: Adjust for new .so file names. Thanks to
    Florian Ernst.
  * debian/control: Update to Standards-Version 4.7.0.
  * debian/rules: Make test suite more verbose and use default flags.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 23 Dec 2024 18:11:03 -0800

device-tree-compiler (1.7.0-2) unstable; urgency=medium

  * debian/patches/fix-tests-for-Python3.12.patch: new patch
    (Closes: #1061318)

 -- Héctor Orón Martínez <zumbi@debian.org>  Tue, 30 Jan 2024 17:49:08 +0100

device-tree-compiler (1.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 03 Aug 2023 14:11:49 +0200

device-tree-compiler (1.6.1-4) unstable; urgency=medium

  * debian/rules: Pass default CFLAGS via EXTRA_CFLAGS. (Closes: #1021893)
    Fixes reproducible builds with differing build paths.
  * debian/control: Update Standards-Version to 4.6.1.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 16 Oct 2022 14:10:24 -0700

device-tree-compiler (1.6.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

  [ Dave Jones ]
  * d/rules: Fix FTBFS; DEB_VERSION_UPSTREAM is blank without pkg-info.mk
    (Closes: #1015024)

  [ Héctor Orón Martínez ]
  * debian/rules: fix syntax in clean func
  * debian/gbp.conf: we do not have pristine-tar branch
    (Closes: #1010064)

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 12 Oct 2022 23:04:01 +0200

device-tree-compiler (1.6.1-2) unstable; urgency=medium

  [ Bastian Germann ]
  * Enable pylibfdt build (Closes: #877125)
  * Create bin pkg python3-libfdt (Closes: #1011282)

  [ Héctor Orón Martínez ]
  * debian/control: thank Riku for all. (Closes: #1001563)
  * debian/rules: remove egg-info upon clean

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 22 Jun 2022 01:22:28 +0200

device-tree-compiler (1.6.1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Fix duplicate entries in tests/*.dts.
  * debian/control: Update to Standards Version 4.6.0, no changes needed.
  * debian/control: Update debhelper-compat to 13.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 05 Jan 2022 20:08:30 -0800

device-tree-compiler (1.6.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump standards version, no changes

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 04 Mar 2020 10:54:43 +0100

device-tree-compiler (1.5.1-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright.
  * Remove patch applied upstream: Update-version.lds-again.patch

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 14 Sep 2019 09:24:37 -0400

device-tree-compiler (1.5.0-2) unstable; urgency=medium

  * Add patch from upstream to add missing exported functions. Thanks to
    Christian Ehrhardt. (Closes: #931046)
  * debian/control: Update Standards-Version to 4.4.0, no changes.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 07 Jul 2019 13:22:53 -0700

device-tree-compiler (1.5.0-1) experimental; urgency=medium

  * Update to new upstream version:
    - Drop patch to make valgrind optional, applied upstream.
    - Add Build-Depends on libyaml-dev.
  * Build-Depend on debhelper-compat instead of debhelper.
  * Update to Standards-Version 4.3.0, no changes needed.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 12 Mar 2019 14:05:20 -0700

device-tree-compiler (1.4.7-3) unstable; urgency=medium

  * Add Build-Depends on pkg-config, which is used to check for valgrind.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 11 Sep 2018 00:51:07 -0700

device-tree-compiler (1.4.7-2) unstable; urgency=medium

  * Add patch from upstream making valgrind optional.
  * Only Build-Depend on valgrind for architectures where valgrind is
    available.
  * Update Standards-Version to 4.2.1, no changes needed.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 10 Sep 2018 23:11:53 -0700

device-tree-compiler (1.4.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add Build-Depends on valgrind, used in tests.
    - Add Rules-Requires-Root: no.
    - Update Standards-Version to 4.2.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 16 Aug 2018 13:38:37 -0700

device-tree-compiler (1.4.6-1) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * New upstream release.
  * Drop patches applied upstream.
  * Update debian/watch:
    - Use tarballs downloaded from https://www.kernel.org/pub instead of
      generated tarballs from git tags.
    - Check signature of downloaded tarball. Thanks to Osamu Aoki.
  * Use debhelper compat level 11.
  * Update to Standards-Version 4.1.4, no changes needed.
  * Support "nodoc" in DEB_BUILD_PROFILES and DEB_BUILD_OPTIONS.
  * Make build more verbose.
  * Use dpkg buildflags.mk, passing CFLAGS and CPPFLAGS to build.

  [ Dima Kogan ]
  * Moved Vcs tags to point to salsa.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 26 Apr 2018 11:02:44 -0700

device-tree-compiler (1.4.5-3) unstable; urgency=medium

  * Add patch from upstream to fix bugs in testsuite for 32-bit
    arm. (Closes: #877797)

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 06 Oct 2017 11:51:12 -0700

device-tree-compiler (1.4.5-2) unstable; urgency=medium

  * Add patch from upstream to fix building on 32-bit systems.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 28 Sep 2017 18:42:05 -0700

device-tree-compiler (1.4.5-1) unstable; urgency=medium

  * New upstream release
    (Closes: #877033)

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 29 Sep 2017 00:02:44 +0200

device-tree-compiler (1.4.4-1) unstable; urgency=medium

  * New upstream release:
    - Add DT Overlay support, closes: #863174.
  * Documentation:
    - Only install .pdf of documentation paper, dropping .ps and .dvi
      versions.
    - Add documentation about dts format and dt objects.
  * Add debian/watch file.
  * Switch to source/format: 3.0 (quilt).
  * Switch to dh and debhelper compat level 10.
  * debian/rules:
    - Enabled hardening.
    - Ensure texlive generated documentation does not embed timestamps,
      closes: #876657.
  * debian/control:
    - Set Priority to optional.
    - Set Standards-Version to 4.1.0.
    - Add Vagrant Cascadian to Uploaders.
    - Use https:// URLs for Vcs-*.
  * debian/copyright:
    - Switch to copyright-format 1.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 25 Sep 2017 09:10:56 -0700

device-tree-compiler (1.4.2-1) unstable; urgency=medium

  * New upstream release, closes: #839031

  [ Helmut Grohne ]
  * Fix FTCBFS: Export triplet-prefixed CC, closes: #847457

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 08 Dec 2016 18:17:19 +0100

device-tree-compiler (1.4.0+dfsg-2) unstable; urgency=medium

  * Fix out of date homepage url
  * Fix pre-depends-directly-on-multiarch-support error

 -- Riku Voipio <riku.voipio@linaro.org>  Mon, 17 Aug 2015 15:12:51 +0300

device-tree-compiler (1.4.0+dfsg-1) unstable; urgency=low

  * REALLY update to upstream version 1.4.0, closes: #725745

 -- Riku Voipio <riku.voipio@linaro.org>  Fri, 03 Jan 2014 16:22:27 +0200

device-tree-compiler (1.4.0-2) unstable; urgency=low

  * Convert to multiarch

 -- Riku Voipio <riku.voipio@linaro.org>  Fri, 23 Aug 2013 14:58:19 +0300

device-tree-compiler (1.4.0-1) unstable; urgency=low

  * Added myself to maintainers
  * New upstream version, closes: #713991

 -- Riku Voipio <riku.voipio@linaro.org>  Mon, 12 Aug 2013 15:36:00 +0300

device-tree-compiler (1.3.0-4) unstable; urgency=low

  * Revert accidental source format change.

 -- Hector Oron <zumbi@pergolesi.debian.org>  Sat, 27 Apr 2013 09:59:06 +0000

device-tree-compiler (1.3.0-3) unstable; urgency=low

  * libfdt-dev: Missing header file prevents the library usage
    Thanks Domenico Andreoli (Closes: #706137)

 -- Hector Oron <zumbi@debian.org>  Sat, 27 Apr 2013 07:47:09 +0000

device-tree-compiler (1.3.0-2) unstable; urgency=low

  * Add libfdt package (Closes: #477565)
    - Thanks Dmitry Eremin-Solenikov and Aurelien Jarno for patch.
  * Backport upstream fixes as patches until 2012-1-21.
  * Reword package description to generalize architecture support.
    - Removes OpenFirmware and PowerPC references.
  * Update dtc manpage and include fdtget, fdtput, fdtdump, convert-dtsv0,
    dtdiff manpages.
  * d/rules: Add build-arch and build-indep targets.
  * d/README.source: refer to quilt patching system.
  * Remove Apps top-level section from doc-base.

 -- Hector Oron <zumbi@debian.org>  Sat, 28 Jan 2012 01:16:09 +0100

device-tree-compiler (1.3.0-1) unstable; urgency=low

  * New upstream release. (Closes: #572945)
  * New maintainer. (Closes: #649290)
  * New VCS repository.
  * Update homepage stanza (Closes: #497605)
  * Update standards version.
  * Compile with -fPIC. Fixes ftbfs on amd64.
  * Use dpkg 1.0 format.
  * Backport upstream fixes as patches until 2011-10-26.

 -- Hector Oron <zumbi@debian.org>  Tue, 22 Nov 2011 12:23:38 +0000

device-tree-compiler (1.1.0.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Fix lintian warning "copyright-without-copyright-notice".
    + Update debian/copyright.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Sat, 16 Feb 2008 17:08:36 +0100

device-tree-compiler (1.0.0.dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #438479)
    + Fix missing /chosen node, as it has been removed from DTS.
      (Closes: #436234)
  * Remove ftdump from the upstream tarball.
    + This file has no license notice.
    + Fix conflict with the freetype2-demos package. (Closes: #434890)
    + David Gibson told me that he would not bother even installing
      ftdump. It was meant to be a debugging tool, dumping a blob
      back into text format, but it never got very far and he has
      been meaning to get rid of it.
  * Update tests/dumptrees.c in the upstream tarball with GIT commit
    08c0be206d5d6b035db11048d19be33216332f2b.
    + Fix missing copyright and license notices.
  * Update debian/copyright.
    + Mention dual GPLv2+/BSD licensing of libfdt.
    + Add Jon Loeliger as an upstream author.
  * Bump Standards-Version to 3.7.3.
  * Add the Homepage field and remove it from the long description.
  * Add the Vcs-Git/Vcs-Browser fields.
  * Add the XS-DM-Upload-Allowed field.
  * Rewrite short and long descriptions in debian/control.
  * Rewrite debian/rules to handle the noopt build option.
  * Write and add a manpage for dtc.
  * Add documentation under /usr/share/doc/device-tree-compiler/.
    + Add Build-Depends on texlive and texlive-latex-extra.
    + Add debian/doc-base.dtc-manual and debian/doc-base.dtc-paper.
    + Create a Makefile to build dtc-paper.tex.
      - Add quilt support to build system.
      - Add 01_build_doc.diff.
    + Update debian/rules to prepare documentation.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Sat, 22 Dec 2007 04:02:24 +0100

device-tree-compiler (0.1~git20070226-1) experimental; urgency=low

  * Initial release. (Closes: #413290)

 -- Aurélien GÉRÔME <ag@roxor.cx>  Sat,  3 Mar 2007 23:13:14 +0100
